%define		mod_name	ruid2
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: run all httpd process under user's access right
Summary(pl.UTF-8):	Moduł do apache: uruchamiania procesów httpd na prawach użytkowniów
Name:		apache-mod_%{mod_name}
Version:	0.9.7
Release:	1
License:	ASL v2.0
Group:		Networking/Daemons/HTTP
Source0:	http://sourceforge.net/projects/mod-ruid/files/mod_ruid2/mod_%{mod_name}-%{version}.tar.bz2
# Source0-md5:	4399b64c9bed45fc723271ed9eb506a8
Source1:	mod_%{mod_name}.conf
Patch0:		%{name}-stat-rgroups.patch
URL:		http://mod-ruid.sourceforge.net/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.0
BuildRequires:	libcap-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
With this module, all httpd process run under user's access right,
not nobody or http.  mod_ruid2 makes use of kernel capabilites
and after receiving a new request suids again. If you want to run
apache modules, i.e. WebDAV, PHP, and so on under user's right,
this module is useful. 

%description -l pl.UTF-8
Przy pomocy tego modułu wszystkie procesy httpd są uruchamiane na
prawach użytkowników zamiast nobody czy http. mod_ruid2 wykorzystuje
implementację "capability" jądra linuksa do zmiany właściciela
procesu.

%prep
%setup -q -n mod_%{mod_name}-%{version}
%patch0 -p1

%build
%{apxs} -l cap -c mod_%{mod_name}.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/12_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc README ruid2.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
%changelog
* Wed Aug 15 2012 Jan Rękorajski <baggins@pld-linux.org> 7fe4e7e
Updated to 0.9.7

* Sun Apr 15 2012 Jan Rękorajski <baggins@pld-linux.org> 8063bf8
- rel 1

* Sun Apr 15 2012 Jan Rękorajski <baggins@pld-linux.org> cf7b2cb
- updated to 0.9.6

* Sun Apr 15 2012 Jan Rękorajski <baggins@pld-linux.org> ca8e269
- started update to 0.9.6
- removed obsolete patch

* Sat Mar 12 2011 Jan Rękorajski <baggins@pld-linux.org> fce710d
- rel 5
- fix config directory

* Fri Mar 11 2011 Jan Rękorajski <baggins@pld-linux.org> 5a821cf
- rel 4

* Fri Mar 11 2011 Jan Rękorajski <baggins@pld-linux.org> 5447fdc
- allow setting additional groups for "mode stat" locations

* Thu Mar 10 2011 Jan Rękorajski <baggins@pld-linux.org> 43976dd
- rel 3
- set hardcoded default uid/gid to http
- lower min uid/gid to allow setting http as additional group

* Thu Mar 10 2011 Jan Rękorajski <baggins@pld-linux.org> 51884e4
- rel 2
- we want this module loaded as soon as possible (for example for userdir)

* Thu Mar 10 2011 Jan Rękorajski <baggins@pld-linux.org> ea00d23
- rel 1

* Thu Mar 10 2011 Jan Rękorajski <baggins@pld-linux.org> 71eb528
- initial revision

